[package]
name = "rs_hls_playlist_maker_worker"
version = "0.3.0"
authors = [
  "Nicolas Pierre <nico.pierre@icloud.com>"
]
license = "MIT"
readme = "README.md"
edition = "2018"

[dependencies]
async-std = "1.6.0"
bytes = "1.0.1"
chrono = "0.4.19"
cpal = "0.11.0"
futures = "0.3"
futures-channel = "0.3"
futures-util = "0.3"
log = "0.4"
regex = "1.5.4"
ringbuf = "0.2.1"
schemars = "0.8"
simple_logger = "1.6.0"
reqwest = {version = "0.10", features = ["json"]}
serde = "^1.0"
serde_derive = "^1.0"
serde_json = "^1.0"
tokio = "0.2"
tokio-tls = "0.3"
tokio-tungstenite = {version = "0.10.1", features = ["tls"], git = "https://github.com/media-cloud-ai/tokio-tungstenite.git" }
yaserde = "0.4"
yaserde_derive = "0.4"
xml-rs = "0.8"

[dependencies.mcai_worker_sdk]
version = "^2.0.0"
features = ["media"]

[build-dependencies]
mcai_build = "0.2.0"
